## Class TDataSourceView

Description

TDataSourceView class

- abstract:
- since: 3.0
- version: $Id: TDataSourceView.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataSourceView.php (line 83)

    TComponent
       |
       --TDataSourceView

Direct descendents

Class | Description
--- | ---
TReadOnlyDataSourceView | TReadOnlyDataSourceView class

Method Summary
TDataSourceView __construct (IDataSource $owner, mixed $viewName)
integer delete (array|TMap $keys)
void getCanDelete ()
void getCanGetRowCount ()
void getCanInsert ()
void getCanPage ()
void getCanSort ()
void getCanUpdate ()
void getDataSource ()
void getName ()
integer insertAt (array|TMap $values)
void onDataSourceViewChanged (mixed $param)
Traversable select (??? $parameters)
integer update (array|TMap $keys, array|TMap $values)
Methods
Constructor __construct (line 88)

- access: public

TDataSourceView __construct (IDataSource $owner, mixed $viewName)

Redefined in descendants as:

- TReadOnlyDataSourceView::__construct()

delete (line 127)

Deletes DB row(s) with the specified keys.

- return: affected rows
- access: public

integer delete (array|TMap $keys)

- array|TMap $keys: keys for specifying the rows to be deleted

getCanDelete (line 132)

- access: public

void getCanDelete ()
getCanGetRowCount (line 147)

- access: public

void getCanGetRowCount ()
getCanInsert (line 137)

- access: public

void getCanInsert ()
getCanPage (line 142)

- access: public

void getCanPage ()
getCanSort (line 152)

- access: public

void getCanSort ()
getCanUpdate (line 157)

- access: public

void getCanUpdate ()
getDataSource (line 167)

- access: public

void getDataSource ()
getName (line 162)

- access: public

void getName ()
insertAt (line 106)

Inserts a DB record.

- return: affected rows
- access: public

integer insertAt (array|TMap $values)

- array|TMap $values

onDataSourceViewChanged (line 172)

- access: public

void onDataSourceViewChanged (mixed $param)
select (line 99)

Performs DB selection based on specified parameters.

- access: public
- abstract:

Traversable select (??? $parameters)

- ??? $parameters

Redefined in descendants as:

- TReadOnlyDataSourceView::select()

update (line 117)

Updates DB record(s) with the specified keys and new values

- return: affected rows
- access: public

integer update (array|TMap $keys, array|TMap $values)

- array|TMap $keys: keys for specifying the records to be updated
- array|TMap $values: new values

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:43 -0400 by phpDocumentor 1.3.0RC4